<?xml version="1.0" encoding="UTF-8" standalone="no" ?>
<xliff version="1.0" xmlns:d4="http://www.4d.com/d4-ns">

  <file datatype="x-4DK#" original="x-undefined" source-language="x-none" target-language="x-none">
    <body>
      <group resname="themes">
        <trans-unit id="thm_1" resname="A49114FAB6F04EE6965CD442989DCC5E" translate="no">
          <source>MessageHub Machines</source>
        </trans-unit>
        <trans-unit id="thm_2" resname="9CB038EDA9764B42846C5F55CC4EE2ED" translate="no">
          <source>MessageHub Actions</source>
        </trans-unit>
        <trans-unit id="thm_3" resname="01B9CDAB31BB4019BAF6BCD960533B18" translate="no">
          <source>MessageHub Events</source>
        </trans-unit>
        <trans-unit id="thm_4" resname="1205D83302CC40B3AA688D74CAC27E10" translate="no">
          <source>MessageHub Dump Fields</source>
        </trans-unit>
        <trans-unit id="thm_5" resname="EA205CB56FF84D7AAAEB8FC2F06736AE" translate="no">
          <source>MessageHub Configuration Fields</source>
        </trans-unit>
        <trans-unit id="thm_6" resname="5F97A6B690294B93A09C8EF40300B8D2" translate="no">
          <source>MessageHub Message Fields</source>
        </trans-unit>
        <trans-unit id="thm_7" resname="7C0F7D852BDA4D329FFD3C5A45E540AB" translate="no">
          <source>MessageHub Message Types</source>
        </trans-unit>
        <trans-unit id="thm_8" resname="EAF88D43CF2842DC966D9C4FBFD9909C" translate="no">
          <source>MessageHub Results</source>
        </trans-unit>
        <trans-unit id="thm_9" resname="571399B7D1DE4EC1897BCF6DD49107E8" translate="no">
          <source>MessageHub Services</source>
        </trans-unit>
        <trans-unit id="thm_10" resname="EAF7D0A1C2474CE89BAAE2865E0123DF" translate="no">
          <source>MessageHub Service Types</source>
        </trans-unit>
        <trans-unit id="thm_11" resname="67501C708D6542CF8E5ECA4DB2324DB0" translate="no">
          <source>MessageHub Processes</source>
        </trans-unit>
        <trans-unit id="thm_12" resname="E6B4ECE3672D44F1A1CDDC42678F084F" translate="no">
          <source>MessageHub Options</source>
        </trans-unit>
        <trans-unit id="thm_13" resname="D25D3AED01414034A12C8203B4DD1B3F" translate="no">
          <source>MessageHub Test Fields</source>
        </trans-unit>
      </group>
      <group d4:groupName="A49114FAB6F04EE6965CD442989DCC5E" restype="x-4DK#">
        <trans-unit d4:value="4D_Server:S" id="k_1">
          <source>MessageHub 4D Server</source>
        </trans-unit>
      </group>
      <group d4:groupName="9CB038EDA9764B42846C5F55CC4EE2ED" restype="x-4DK#">
        <trans-unit d4:value="Action_ClientAdd:S" id="k_2">
          <source>Action Add Client</source>
        </trans-unit>
        <trans-unit d4:value="Action_CallService:S" id="k_3">
          <source>Action Call Service</source>
        </trans-unit>
        <trans-unit d4:value="Action_Clean:S" id="k_4">
          <source>Action Clean MessageHub</source>
        </trans-unit>
        <trans-unit d4:value="Action_ConfigureHub:S" id="k_5">
          <source>Action Configure MessageHub</source>
        </trans-unit>
        <trans-unit d4:value="Action_KillHub:S" id="k_6">
          <source>Action Kill MessageHub</source>
        </trans-unit>
        <trans-unit d4:value="Action_LaunchHub:S" id="k_7">
          <source>Action Launch MessageHub</source>
        </trans-unit>
        <trans-unit d4:value="Action_PublishMessage:S" id="k_8">
          <source>Action Publish Message</source>
        </trans-unit>
        <trans-unit d4:value="Action_PublishService:S" id="k_9">
          <source>Action Publish Service</source>
        </trans-unit>
        <trans-unit d4:value="Action_ClientRemove:S" id="k_10">
          <source>Action Remove Client</source>
        </trans-unit>
        <trans-unit d4:value="Action_RemoveService:S" id="k_11">
          <source>Action Remove Service</source>
        </trans-unit>
        <trans-unit d4:value="Action_SubscribeToService:S" id="k_12">
          <source>Action Subscribe</source>
        </trans-unit>
        <trans-unit d4:value="Action_UnsubscribeFromService:S" id="k_13">
          <source>Action Unsubscribe</source>
        </trans-unit>
      </group>
      <group d4:groupName="01B9CDAB31BB4019BAF6BCD960533B18" restype="x-4DK#">
        <trans-unit d4:value="Event_OnClientAdd:S" id="k_14">
          <source>Event On Add Client</source>
        </trans-unit>
        <trans-unit d4:value="Event_OnCleanHub:S" id="k_15">
          <source>Event On Clean Hub</source>
        </trans-unit>
        <trans-unit d4:value="Event_OnError:S" id="k_16">
          <source>Event On Error</source>
        </trans-unit>
        <trans-unit d4:value="Event_OnSuccess:S" id="k_17">
          <source>Event On Success</source>
        </trans-unit>
        <trans-unit d4:value="Event_OnClientRemove:S" id="k_18">
          <source>Event On Remove Client</source>
        </trans-unit>
        <trans-unit d4:value="Event_OnMessage:S" id="k_19">
          <source>Event On Message</source>
        </trans-unit>
        <trans-unit d4:value="Event_OnGetSubscription:S" id="k_20">
          <source>Event On Get Subscription</source>
        </trans-unit>
        <trans-unit d4:value="Event_OnDescribeAllServices:S" id="k_21">
          <source>Event On Service Get All</source>
        </trans-unit>
        <trans-unit d4:value="Event_OnDescribeAService:S" id="k_22">
          <source>Event On Service Get One</source>
        </trans-unit>
        <trans-unit d4:value="Event_OnStoppingService:S" id="k_23">
          <source>Event On Service Stopped</source>
        </trans-unit>
        <trans-unit d4:value="Event_OnPublishService:S" id="k_24">
          <source>Event On Service Published</source>
        </trans-unit>
        <trans-unit d4:value="Event_OnRemoveService:S" id="k_25">
          <source>Event On Service Removed</source>
        </trans-unit>
      </group>
      <group d4:groupName="1205D83302CC40B3AA688D74CAC27E10" restype="x-4DK#">
        <trans-unit d4:value="ErrorStack:S" id="k_26">
          <source>MessageHub ErrorStack</source>
        </trans-unit>
        <trans-unit d4:value="original_input:S" id="k_27">
          <source>MessageHub Original Input</source>
        </trans-unit>
      </group>
      <group d4:groupName="EA205CB56FF84D7AAAEB8FC2F06736AE" restype="x-4DK#">
        <trans-unit d4:value="configuration:S" id="k_28">
          <source>MessageHub Configuration</source>
        </trans-unit>
        <trans-unit d4:value="logging_enabled:S" id="k_29">
          <source>MessageHub Configure Logging</source>
        </trans-unit>
      </group>
      <group d4:groupName="5F97A6B690294B93A09C8EF40300B8D2" restype="x-4DK#">
        <trans-unit d4:value="message_header:S" id="k_30">
          <source>MessageHub Message Header</source>
        </trans-unit>
        <trans-unit d4:value="message_payload:S" id="k_31">
          <source>MessageHub Message Payload</source>
        </trans-unit>
        <trans-unit d4:value="action:S" id="k_32">
          <source>MessageHub Action</source>
        </trans-unit>
        <trans-unit d4:value="message_type:S" id="k_33">
          <source>MessageHub Message Type</source>
        </trans-unit>
        <trans-unit d4:value="subscription_exists:S" id="k_34">
          <source>MessageHub Subscription Exists</source>
        </trans-unit>
        <trans-unit d4:value="call_inputs:S" id="k_35">
          <source>MessageHub Call Service Inputs</source>
        </trans-unit>
        <trans-unit d4:value="event:S" id="k_36">
          <source>MessageHub Event</source>
        </trans-unit>
        <trans-unit d4:value="sender_host:S" id="k_37">
          <source>MessageHub Message Sender Host</source>
        </trans-unit>
        <trans-unit d4:value="sender_name:S" id="k_38">
          <source>MessageHub Message Sender Name</source>
        </trans-unit>
        <trans-unit d4:value="service_can_be_removed:S" id="k_39">
          <source>Service Can Be Removed</source>
        </trans-unit>
        <trans-unit d4:value="service_description:S" id="k_40">
          <source>Service Description</source>
        </trans-unit>
        <trans-unit d4:value="service_host:S" id="k_41">
          <source>Service Host Name</source>
        </trans-unit>
        <trans-unit d4:value="service_name:S" id="k_42">
          <source>Service Name</source>
        </trans-unit>
        <trans-unit d4:value="service_key:S" id="k_43">
          <source>Service Key</source>
        </trans-unit>
        <trans-unit d4:value="service_publisher_type:S" id="k_44">
          <source>Service Publisher Type</source>
        </trans-unit>
        <trans-unit d4:value="service_publisher_id:S" id="k_45">
          <source>Service Publisher ID</source>
        </trans-unit>
        <trans-unit d4:value="service_publisher_handler:S" id="k_46">
          <source>Service Publisher Handler</source>
        </trans-unit>
        <trans-unit d4:value="service_publisher_4D_process_name:S" id="k_47">
          <source>Service Publisher Process Name</source>
        </trans-unit>
        <trans-unit d4:value="service_publisher_winref:S" id="k_48">
          <source>Service Publisher Winref</source>
        </trans-unit>
        <trans-unit d4:value="service_publisher_worker_name:S" id="k_49">
          <source>Service Publisher Worker</source>
        </trans-unit>
        <trans-unit d4:value="service_input_information:S" id="k_50">
          <source>Service Inputs Description</source>
        </trans-unit>
        <trans-unit d4:value="publish_on_network:S" id="k_51">
          <source>Service Is Published On Network</source>
        </trans-unit>
        <trans-unit d4:value="service_is_remote:S" id="k_52">
          <source>Service Is Remote</source>
        </trans-unit>
        <trans-unit d4:value="service_type:S" id="k_53">
          <source>Service Type</source>
        </trans-unit>
        <trans-unit d4:value="subscriptions_array_map:S" id="k_54">
          <source>Service Subscription Array Map</source>
        </trans-unit>
        <trans-unit d4:value="subscriptions:S" id="k_55">
          <source>Service Subscriptions</source>
        </trans-unit>
        <trans-unit d4:value="Service_publisher_is_a_form:S" id="k_56">
          <source>Service Publisher Is a Form</source>
        </trans-unit>
        <trans-unit d4:value="Service_publisher_is_a_process:S" id="k_57">
          <source>Service Publisher Is a Process</source>
        </trans-unit>
        <trans-unit d4:value="Service_publisher_is_remote:S" id="k_58">
          <source>Service Publisher Is Remote</source>
        </trans-unit>
        <trans-unit d4:value="Service_publisher_is_a_worker:S" id="k_59">
          <source>Service Publisher Is a Worker</source>
        </trans-unit>
        <trans-unit d4:value="subscriber:S" id="k_60">
          <source>Service Subscriber</source>
        </trans-unit>
        <trans-unit d4:value="subscriber_key:S" id="k_61">
          <source>Service Subscriber Key</source>
        </trans-unit>
        <trans-unit d4:value="subscriptions_count:S" id="k_62">
          <source>Service Subscribers Count</source>
        </trans-unit>
        <trans-unit d4:value="recipient:S" id="k_63">
          <source>Recipient</source>
        </trans-unit>
        <trans-unit d4:value="host_name:S" id="k_64">
          <source>Recipient Host Name</source>
        </trans-unit>
        <trans-unit d4:value="method_name:S" id="k_65">
          <source>Recipient Handler Name</source>
        </trans-unit>
        <trans-unit d4:value="tag:S" id="k_66">
          <source>Recipient Tag</source>
        </trans-unit>
        <trans-unit d4:value="type:S" id="k_67">
          <source>Recipient Type</source>
        </trans-unit>
        <trans-unit d4:value="winref:S" id="k_68">
          <source>Recipient Winref</source>
        </trans-unit>
        <trans-unit d4:value="worker_name:S" id="k_69">
          <source>Recipient Worker Name</source>
        </trans-unit>
        <trans-unit d4:value="Form:S" id="k_70">
          <source>Recipient Is a Form</source>
        </trans-unit>
        <trans-unit d4:value="Remote:S" id="k_71">
          <source>Recipient Is Remote</source>
        </trans-unit>
        <trans-unit d4:value="Worker:S" id="k_72">
          <source>Recipient Is a Worker</source>
        </trans-unit>
      </group>
      <group d4:groupName="7C0F7D852BDA4D329FFD3C5A45E540AB" restype="x-4DK#">
        <trans-unit d4:value="Action:S" id="k_73">
          <source>Message Type Is Action</source>
        </trans-unit>
        <trans-unit d4:value="Broadcast:S" id="k_74">
          <source>Message Type Is Broadcast</source>
        </trans-unit>
        <trans-unit d4:value="Callback:S" id="k_75">
          <source>Message Type Is Callback</source>
        </trans-unit>
        <trans-unit d4:value="Error:S" id="k_76">
          <source>Message Type Is Error</source>
        </trans-unit>
        <trans-unit d4:value="Success:S" id="k_77">
          <source>Message Type Is Success</source>
        </trans-unit>
        <trans-unit d4:value="Event:S" id="k_78">
          <source>Message Type Is Event</source>
        </trans-unit>
      </group>
      <group d4:groupName="EAF88D43CF2842DC966D9C4FBFD9909C" restype="x-4DK#">
        <trans-unit d4:value="result_type:S" id="k_79">
          <source>MessageHub Result Type</source>
        </trans-unit>
        <trans-unit d4:value="Error:S" id="k_80">
          <source>MessageHub Result Is Error</source>
        </trans-unit>
        <trans-unit d4:value="Success:S" id="k_81">
          <source>MessageHub Result Is Success</source>
        </trans-unit>
        <trans-unit d4:value=":S" id="k_82">
          <source>MessageHub Result Is Message</source>
        </trans-unit>
        <trans-unit d4:value="only_send_result_on_error:S" id="k_83">
          <source>MessageHub Result Only On Error</source>
        </trans-unit>
      </group>
      <group d4:groupName="571399B7D1DE4EC1897BCF6DD49107E8" restype="x-4DK#">
        <trans-unit d4:value="Service_CallbackOnError:S" id="k_84">
          <source>MessageHub Callback On Error</source>
        </trans-unit>
        <trans-unit d4:value="Service_CallbackOnSuccess:S" id="k_85">
          <source>MessageHub Callback On Success</source>
        </trans-unit>
        <trans-unit d4:value="API_GetAService:S" id="k_86">
          <source>Service API Get A Service</source>
        </trans-unit>
        <trans-unit d4:value="API_GetAllServices:S" id="k_87">
          <source>Service API Get All Services</source>
        </trans-unit>
        <trans-unit d4:value="API_GetSubscription:S" id="k_88">
          <source>Service API Get Subscription</source>
        </trans-unit>
        <trans-unit d4:value="Service_NotifyOnAddClient:S" id="k_89">
          <source>Service Notify On Add Client</source>
        </trans-unit>
        <trans-unit d4:value="Service_NotifyOnAError:S" id="k_90">
          <source>Service Notify On Error</source>
        </trans-unit>
        <trans-unit d4:value="Service_NotifyPublishService:S" id="k_91">
          <source>Service Notify On Publish</source>
        </trans-unit>
        <trans-unit d4:value="Service_NotifyOnRemoveClient:S" id="k_92">
          <source>Service Notify On Remove Client</source>
        </trans-unit>
        <trans-unit d4:value="Service_NotifyUnpublishService:S" id="k_93">
          <source>Service Notify On Unpublish</source>
        </trans-unit>
      </group>
      <group d4:groupName="EAF7D0A1C2474CE89BAAE2865E0123DF" restype="x-4DK#">
        <trans-unit d4:value="Service_Is_Action:S" id="k_94">
          <source>Service Is an Action</source>
        </trans-unit>
        <trans-unit d4:value="Service_Is_Callback:S" id="k_95">
          <source>Service Is a Callback</source>
        </trans-unit>
        <trans-unit d4:value="Service_Is_Subscription:S" id="k_96">
          <source>Service Is a Subscription</source>
        </trans-unit>
      </group>
      <group d4:groupName="67501C708D6542CF8E5ECA4DB2324DB0" restype="x-4DK#">
        <trans-unit d4:value="CallProcess1:S" id="k_97">
          <source>MessageHub Application Process</source>
        </trans-unit>
        <trans-unit d4:value="MessageHub__Worker:S" id="k_98">
          <source>MessageHub Worker Name</source>
        </trans-unit>
        <trans-unit d4:value="MessageHub__Worker:S" id="k_99">
          <source>MessageHub Worker Handler</source>
        </trans-unit>
        <trans-unit d4:value="MessageHub__WorkerTest:S" id="k_100">
          <source>MessageHub Worker Test</source>
        </trans-unit>
      </group>
      <group d4:groupName="E6B4ECE3672D44F1A1CDDC42678F084F" restype="x-4DK#">
        <trans-unit d4:value="options:S" id="k_101">
          <source>Options</source>
        </trans-unit>
        <trans-unit d4:value="Option_ignore_no_service_error:S" id="k_102">
          <source>Option Ignore No Service Error</source>
        </trans-unit>
        <trans-unit d4:value="Option_ignore_no_window_error:S" id="k_103">
          <source>Option Ignore No Window Error</source>
        </trans-unit>
      </group>
      <group d4:groupName="D25D3AED01414034A12C8203B4DD1B3F" restype="x-4DK#">
        <trans-unit d4:value="expected_results_count:S" id="k_104">
          <source>TestResult Expected Results Count</source>
        </trans-unit>
        <trans-unit d4:value="actual_results_count:S" id="k_105">
          <source>TestResult Actual Results Count</source>
        </trans-unit>
        <trans-unit d4:value="tests:S" id="k_106">
          <source>TestResult Tests</source>
        </trans-unit>
        <trans-unit d4:value="test_group:S" id="k_107">
          <source>TestResult Test Group</source>
        </trans-unit>
        <trans-unit d4:value="test_name:S" id="k_108">
          <source>TestResult Test Name</source>
        </trans-unit>
        <trans-unit d4:value="expected_error_name:S" id="k_109">
          <source>TestResult Expected Error Name</source>
        </trans-unit>
        <trans-unit d4:value="actual_error_name:S" id="k_110">
          <source>TestResult Actual Error Name</source>
        </trans-unit>
        <trans-unit d4:value="expected_result_number:S" id="k_111">
          <source>TestResult Expected Result Number</source>
        </trans-unit>
        <trans-unit d4:value="actual_result_number:S" id="k_112">
          <source>TestResult Actual Result Number</source>
        </trans-unit>
        <trans-unit d4:value="expected_error_count:S" id="k_113">
          <source>TestResult Expected Error Count</source>
        </trans-unit>
        <trans-unit d4:value="actual_error_count:S" id="k_114">
          <source>TestResult Actual Error Count</source>
        </trans-unit>
        <trans-unit d4:value="expected_result_type:S" id="k_115">
          <source>TestResult Expected Result Type</source>
        </trans-unit>
        <trans-unit d4:value="actual_result_type:S" id="k_116">
          <source>TestResult Actual Result Type</source>
        </trans-unit>
        <trans-unit d4:value="expected_json:S" id="k_117">
          <source>TestResult Expected JSON</source>
        </trans-unit>
        <trans-unit d4:value="actual_json:S" id="k_118">
          <source>TestResult Actual JSON</source>
        </trans-unit>
        <trans-unit d4:value="extra_details:S" id="k_119">
          <source>TestResult Extra Details</source>
        </trans-unit>
      </group>
    </body>
  </file>

</xliff>
